<?php
require_once 'ajax_config.php';

$acao     = (string) filter_input(INPUT_GET, 'acao');
$duplicar = ((string) filter_input(INPUT_GET, 'duplicar') === 'true') ? true : false;
$request  = json_decode(file_get_contents('php://input'));

$PessoaM   = new PessoaM('ajax');
$objPessoa = new Pessoa();
switch($acao){
    case "pesquisarEinserirPessoa":
        
        $objPessoa->setNome($request->Nome);
        $objPessoa->setDtNascimento(substr($request->dtNascimento, 0, 10));
        $objPessoa->setSexo($request->Genero);
        
        if($duplicar){
            inserePessoa();
            break;
        }
        
        $pesquisa = pesquisarDuplicidade();
        if(!$pesquisa){
            inserePessoa();
        }
        break;
    case "buscarPessoa":
        $objPessoa->setIdPessoa((int) filter_input(INPUT_GET, 'idPessoa'));
        $busca = $PessoaM->buscarPeloID($objPessoa);
        echo json_encode($busca);
        break;
        
}

/* Escrita das funções - Para melhorar a visualização */


/* Pesquisa pessoa pelo Nome, Data de Nascimento e Sexo antes de inserir*/
function pesquisarDuplicidade(){
    global $PessoaM, $objPessoa;

    $r = $PessoaM->consultarDuplicidade($objPessoa);
    if($r){
        $retorno['duplicidade'] = true;
        $retorno['idPessoa']    = $r[0]['idPessoa'];
        $retorno['Nome']        = $r[0]['Nome'];
        echo json_encode($retorno);
        return true;
    }else{
        return false;
    }
}

/* Insere Pessoa */
function inserePessoa(){
    global $PessoaM, $objPessoa;
    $insere = $PessoaM->inserePessoa($objPessoa);
    $retorno['duplicidade'] = false;
    $retorno['idPessoa'] = $insere;
    echo json_encode($retorno);
}